import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export function uploadFile(data) {
  return httpRequest.post('https://webapp-pub.oss-cn-beijing.aliyuncs.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

// 获取已选中的案例
export function getSelectCase() {
  return httpRequest.get('/api/xtraining/api/v1/selected-case')
}

// 获取已选中的角色
export function getSelectRole() {
  return httpRequest.get('/api/xtraining/api/v1/role')
}

/** 获取作品完成状态 */
export function getWorkStatus() {
  return httpRequest.get('/api/xtraining/api/v1/show/analysis-status')
}

// 选中案例
export function selectCase(id) {
  return httpRequest.post(`/api/xtraining/api/v1/${id}/select-case`, {})
}
